Subject: Re: bug#67654: 29.1; Hiding menu bar makes new frames very small

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Dec 2023 14:39:44 +0200

> Cc: [email-masked]
> Date: Wed, 06 Dec 2023 20:33:59 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Roshan Shariff <[email-masked]> writes:
> 
> > I found that this bug occurs regardless of menu-bar-mode when I'm
> > running without 2x desktop scaling, tested at 1920x1080 or 3840x2160
> > screen resolutions. In those cases, all newly created frames are tiny
> > regardless of whether menu-bar-mode is enabled or not.
> >
> > The correlation with menu-bar-mode happens only when running at 2x
> > scaling with 3840x2160 resolution.
> >
> > I was also able to reproduce this bug in a freshly installed Fedora 39
> > virtual machine, with emacs 29.1 from the distribution repository. I
> > also noted that the emacs-lucid build doesn't suffer from this issue,
> > only the GTK build.
> 
> Yes, I'm aware of this problem.  But I've never successfully reproduced
> it myself, and the GTK build is not important to me, so my
> recommendation is to use some other build, preferably the no toolkit
> one.
> 
> Let's leave this bug open for now, on the off chance a good Samaritan
> devises a fix.

Did this problem exist in Emacs 28?  If not, we should at least try
understanding what changes triggered it in Emacs 29.